Get a schedule
Important note: Shift-based schedules use the V3 API and are not compatible with V2 automations. To create automations for Shift-Based Schedules, you need to:
- Update your automations to use the V3 API for all new shift-based schedules
- Keep the V2 endpoint for your existing schedules
An upgrade tool for existing schedules is coming soon; your legacy schedules will keep working in the meantime. Learn more.
Retrieve a schedule by ID including rotations and events. Optionally include the computed final schedule for a time range.
Use include[]=final_schedule to get computed on-call assignments.
Use since and until to specify the time range.
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Path Parameters
The ID of the schedule.
Query Parameters
Start of time range (ISO 8601). Send since and until together.
since can be at most 3 years in the future.
date-timeEnd of time range (ISO 8601). Send since and until together.
until must be after since, and can be at most 3 years and 2 weeks
in the future.
date-timeIANA timezone identifier for rendering shift times. Defaults to the schedule's configured time zone.
Include shifts that extend beyond the requested time range boundaries
falseAdditional data to include in the schedule response:
final_schedule: computed on-call assignments for the time rangeusers: all users referenced in the schedule
Response Body
application/json
application/json
application/json
application/json
application/json
Developer Agreement
Your access to and use of the PagerDuty Developer Services is governed by the PagerDuty Developer Agreement.